#! /usr/bin/env node
import commandLineArgs from 'command-line-args';
import swig from 'swig';
import path from 'path';
import TemplateFactory from './TemplateFactory';
import fs from 'fs';
import config from './config/config';
import cliOptions from './config/cli-options'
import swigFilters from './config/swig-filters';
const cli = commandLineArgs(cliOptions);

swigFilters(swig);
const options = cli.parse().options;

/* ===============
 Ask for help
 =============== */
if( options.help ) {
  console.log(cli.getUsage(cli));
}

/* ===============
 Set the file extensions
 =============== */
if( options.vdts || options.style || options.script || options.spec ) {
  let configData = config.getConfigFile();
  configData.filesType.vdts = options.vdts ? options.vdts : configData.filesType.vdts;
  configData.filesType.style = options.style ? options.style : configData.filesType.style;
  configData.filesType.script = options.script ? options.script : configData.filesType.script;
  configData.filesType.spec = options.spec ? options.spec : configData.filesType.spec;
  config.updateConfigFile(configData);
}

TemplateFactory.createTemplateFor(options);